#!/usr/bin/python3

import random
from CityGenerator import CityGenerator

def main():

    # These are the route parameters (L1, L2, L3) that appeared in the user study.
    study_routes = [[177, 81, 42],   # 30 deg
                    [138, 54, 108],  # 60 deg
                    [120, 60, 120],  # 90 deg
                    [57, 117, 126],  # 120 deg
                    [39, 81, 180]]   # 150 deg

    selected_route = random.choice(study_routes)

    # pick a turn mode (either two left or two right turns)
    selected_turn_mode = random.choice(['LL', 'RR'])

    # instantiate city generator
    generator = CityGenerator(enable_blinders = True)

    # create and write transformation matrices of markers and houses
    generator.generate_transformation_matrices(selected_route[0], 
                                               selected_route[1], 
                                               selected_route[2],
                                               selected_turn_mode,
                                               'house_matrices.csv',
                                               'decorator_matrices.csv',
                                               'marker_matrices.csv')


if __name__ == "__main__":
    main()
